package model

import (
	"time"
)

type CommunityTeamStoreAmountFlow struct {
	Id           int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid          int       `json:"uid" xorm:"default 0 INT(11)"`
	StoreType    int       `json:"store_type" xorm:"default 0 comment('0官方自营店 1加盟店 2连锁店') INT(11)"`
	ParentUid    int       `json:"parent_uid" xorm:"default 0 comment('上级代理') INT(11)"`
	Amount       string    `json:"amount" xorm:"default 0.00 DECIMAL(20,2)"`
	BeforeAmount string    `json:"before_amount" xorm:"default 0.00 DECIMAL(20,2)"`
	AfterAmount  string    `json:"after_amount" xorm:"default 0.00 DECIMAL(20,2)"`
	Oid          int64     `json:"oid" xorm:"default 0 BIGINT(20)"`
	Type         int       `json:"type" xorm:"default 0 INT(1)"`
	Title        string    `json:"title" xorm:"VARCHAR(255)"`
	OrdType      int       `json:"ord_type" xorm:"default 0 INT(11)"`
	CreateAt     time.Time `json:"create_at" xorm:"DATETIME"`
}
